/**
 Să scriem o funcție BS care primește prin
intermediul parametrilor săi:
 - v - un vector sortat crescător, indexat
       de la 0 (întregi, maxim 1000)
 - ne = numărul de elemente din vector
 - x - o valoare de căutat în acel vector

 Funcția întoarce indicele la care găsește
x, respectiv -1 dacă x Nu apare în vector.
  Funcția va implementa căutarea binară
*/
#include <iostream>
using namespace std;

int BS(int v[],int ne,int x)
{
    int li=0,lf=ne-1,mj=(li+lf)/2;
    while(li<=lf && x!=v[mj])
    {
        if(x<v[mj])
            lf=mj-1;
        else
            li=mj+1;
        mj=(li+lf)/2;
    }
    if(li>lf)return -1;
    return mj;
}

int main()
{
    int a[100]={5,10,12,18,24,42};
    cout<<BS(a,6,2);
    return 0;
}
